Bug 291917 - Digikam 2.5.0 Crash on start up
Summary: Digikam 2.5.0 Crash on start up
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 2.5.0
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-19 01:20 UTC by john-hansen
Modified: 2020-08-12 08:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description john-hansen 2012-01-19 01:20:34 UTC
Version:           2.5.0
OS:                MS Windows

Win 7 64 bit computer.  Downloaded digiKam-installer-2.5.0-win32.exe.  I am new to this and do not understand the terminology.  Downloaded the exe, installed, and digikam crashes on opening.  Previously had version 2.3.0 which opened fine but crashed whenever I exported or saved a file. Tried to send bug report but was told not enough information in it to make it worthwhile.  I hope information that I provide helps.  Happy to give whatever info I can to help.  Thanks for all your efforts 

Reproducible: Always

Steps to Reproduce:
Download the exe, install, and digikam 2.5.0 crashes on opening. 

2.3.0 open mpo file in editor, change something. export/save and it crashes.


Expected Results:  
First problem, obvious.  It should open.  Second problem: I do not know if you can edit MPO file in Digikam and save MPO file. I was trying to find out.
Comment 1 caulier.gilles 2012-01-19 06:44:52 UTC
MPO ??? What is that ?

Gilles Caulier
Comment 2 Ananta Palani 2012-01-19 10:45:35 UTC
(In reply to comment #0)

Approximately how many photos do you have in your collection? Do you have video files as well?
Comment 3 john-hansen 2012-01-19 12:02:10 UTC
MPO=  Multi Picture Object (.mpo) format consists of multiple JPEGs, for 
stereo images. According to write up for digikam 2.3.0 digikam opens 
them.  And it certainly reads them.  I just had no idea whether it could 
edit them.  I think it edits one of the jpegs inside them and saves, if 
it can save, one modified jpeg file rather than the two within the mpo 
container.

I have .avi files in the image library.  However, 2.3.0 had no problem 
opening up, allowing me to view/sort files.  So .avi should not be the 
cause of 2.5 crashing on opening.  Found that 2.3.0 is slightly more 
stable when opened in compatibility mode... Windows 7 recommends XP sp2, 
though warns that the software is incompatible.

Hope this helps

John

On 18/01/2012 10:44 PM, Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=291917
>
>
> Gilles Caulier<caulier.gilles@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |caulier.gilles@gmail.com
>
>
>
>
> --- Comment #1 from Gilles Caulier<caulier gilles gmail com>   2012-01-19 06:44:52 ---
> MPO ??? What is that ?
>
> Gilles Caulier
>
Comment 4 john-hansen 2012-01-19 12:05:32 UTC
Over 13,000 files in total but broken into small folders.  dgikam 2.3 
had no problem with this.

On 19/01/2012 2:45 AM, Ananta Palani wrote:
> https://bugs.kde.org/show_bug.cgi?id=291917
>
>
> Ananta Palani<anantapalani@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |anantapalani@gmail.com
>
>
>
>
> --- Comment #2 from Ananta Palani<anantapalani gmail com>   2012-01-19 10:45:35 ---
> (In reply to comment #0)
>
> Approximately how many photos do you have in your collection? Do you have video
> files as well?
>
Comment 5 Ananta Palani 2013-02-03 22:05:01 UTC
Git commit 57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1 by Ananta Palani.
Committed on 03/02/2013 at 23:04.
Pushed by palani into branch 'master'.

Fix thumbnails not shown in Windows and excessive use of virtual memory / handles which may cause crashes and other unexpected behavior by removing file monitoring and only monitoring directories for changes. These problems might still occur with very large numbers of folders but could not be confirmed. However, medium to large collections should no longer cause a problem.
Related: bug 290962, bug 297793, bug 308310, bug 310252, bug 310865, bug 312422, bug 312999, bug 295445, bug 297686
FIXED-IN: 3.0.0

M  +9    -2    digikam/album/albumwatch.cpp

http://commits.kde.org/digikam/57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1
Comment 6 Ananta Palani 2013-02-03 22:16:08 UTC
I have made a beta compilation of digiKam 3.0.0 for you to test whether the commit I just made fixes your problem:

   https://docs.google.com/file/d/0B4Esh3gAgC9QcW5nS04zQWVsNGs/edit?usp=sharing

Can you give it a try and let me know how it works for you?
Comment 7 john-hansen 2013-02-03 23:48:15 UTC
Thank you, and yes, I'll try it.
On 03/02/2013 2:16 PM, Ananta Palani wrote:
> https://bugs.kde.org/show_bug.cgi?id=291917
>
> --- Comment #6 from Ananta Palani <anantapalani@gmail.com> ---
> I have made a beta compilation of digiKam 3.0.0 for you to test whether the
> commit I just made fixes your problem:
>
>     https://docs.google.com/file/d/0B4Esh3gAgC9QcW5nS04zQWVsNGs/edit?usp=sharing
>
> Can you give it a try and let me know how it works for you?
>